Order Rating Update

Update rating for a previously placed order.

A generic channel integration can use this endpoint to update the rating for a previously placed order.

When sending a rating update, Deliverect will check if the party sending the order has the correct scope to be able to. If not, they are considered unauthorized. The scope for generic channels is communicated to integrating parties and is checked in the request target URL only. Therefore, make sure this URL correctly contains the scope.

For a payload, we always expect a JSON that contains:

  • Channel order ID (channelOrderId)
  • Date (in UTC) when order was placed in ISO 8601 format (orderDate)
  • ID of the channel link (channelLinkId)
  • Array of rating objects (rating)
    • Subject of the rating. See allowed values in Rating Subjects table below (subject)
    • Rating value from 0 to 10 (rating)
    • [Optional] Comment for the rating (comment)
      *[Optional] Reason for negative rating. See allowed values in Rating Reasons table below (reason)

Rating Subjects

SubjectInteger Value
Unknown0
Restaurant1
Delivery2
Order3
Menu_Item4
Restaurant_By_Courier5

Rating Reasons

ReasonInteger Value
Item missing1
Order issue2
Order is wrong3
Food isn't fresh4
Food is cold5
Box was opened6
Delivery late7
Delivery issue8
Rude staff9
No issues10000
Path Params
string
required
Defaults to my-channel
Body Params
string
required
date-time
required
string
required
rating
array of objects
required
rating*
Response
200

Successful response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!